### Method

# Gimp Vectors bezier_stroke_new_ellipse

#### Declaration [src]

    gint
    gimp_vectors_bezier_stroke_new_ellipse (
      GimpVectors* vectors,
      gdouble x0,
      gdouble y0,
      gdouble radius_x,
      gdouble radius_y,
      gdouble angle
    )

#### Description [src]

Adds a bezier stroke describing an ellipse the vectors object.

Adds a bezier stroke describing an ellipse the vectors object.

Available since: | 2.4

#### Parameters

`x0` | `gdouble`
| The x-coordinate of the center.
`y0` | `gdouble`
| The y-coordinate of the center.
`radius_x` | `gdouble`
| The radius in x direction.
`radius_y` | `gdouble`
| The radius in y direction.
`angle` | `gdouble`
| The angle the x-axis of the ellipse (radians, counterclockwise).

#### Return value

Returns: | `gint`
| The resulting stroke.